@ECHO OFF
CLS
CD /D "%~dp0"
TITLE RunAll.bat
CALL SETPaths.bat

ECHO.
ECHO Deleting/Moving existing files/folders
ECHO.

IF EXIST "%Log_start%" DEL "%Log_start%" /Q
IF EXIST "%Log_fr%" DEL "%Log_fr%" /Q
IF EXIST "%Log_it%" DEL "%Log_it%" /Q
IF EXIST "%Log_ja%" DEL "%Log_ja%" /Q

IF EXIST "%ezScriptLog%" DEL "%ezScriptLog%" /Q
IF EXIST "%Proj_Folder%\%Version_New%\%Version_New%_ezScript.log" DEL "%Proj_Folder%\%Version_New%\%Version_New%_ezScript.log"
IF EXIST "%CleanupLog%" DEL "%CleanupLog%"

IF EXIST "%Proj_Folder%\%Version_New%\9_0_OnlineHelp.ttk" DEL "%Proj_Folder%\%Version_New%\9_0_OnlineHelp.ttk"
IF EXIST "%Proj_Folder%\%Version_New%\9_0_OnlineHelp.ttk" DEL "%Proj_Folder%\%Version_New%\9_0_OnlineHelp.ttk"
IF EXIST "%Proj_Folder%\%Version_New%\9_0_Software.ttk" DEL "%Proj_Folder%\%Version_New%\9_0_Software.ttk"
IF EXIST "%Proj_Folder%\%Version_New%\9_0_Web.ttk" DEL "%Proj_Folder%\%Version_New%\9_0_Web.ttk"
IF EXIST "%Proj_Folder%\%Version_New%\Reports\" RD "%Proj_Folder%\%Version_New%\Reports\" /S /Q

IF EXIST "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" DEL "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm"

ECHO ========================================>>"%Log_start%"
ECHO Started on  %Date% at: %Time% >>"%Log_start%"
ECHO ========================================>>"%Log_start%"

ECHO Starting the French Task with Job IDs
START 01_FrenchJobIDs.bat

ECHO Starting the Italian Task with Job IDs
START 02_ItalianJobIDs.bat

ECHO Starting the Japanese Task with Job IDs
START 03_JapaneseJobIDs.bat
ECHO.

REM The 1,1,10000 is decoded as: (start,step,end)
FOR /L %%i IN (1,1,10000) DO (
  REM This is purely to delay some time.
  REM Otherwise the Log files in the next command will not have been created yet, 
  REM and it will throw an error stating it could not find the files.
)

:CheckJobIdsFinished
FINDSTR "Finished" "%Log_fr%"
		IF %errorlevel%==0  ( FINDSTR "Finished" "%Log_it%"
			IF %errorlevel%==0  ( FINDSTR "Finished" "%Log_ja%"
				IF %errorlevel%==0  ( ECHO Finished all started jobs
									  GOTO Finished
									)
								)
				) ELSE 				(
									   GOTO CheckJobIdsFinished
										   )
			) ELSE (
						GOTO CheckJobIdsFinished
					)
	) ELSE (
		GOTO CheckJobIdsFinished
	)

:Finished

IF EXIST "%ezScriptLog%" COPY "%ezScriptLog%" "%Proj_Folder%\%Version_New%\%Version_New%_ezScript.log"
ECHO.

TITLE RunAll.bat
ECHO 3 TTKs,  11k words
ECHO 3 Languages
ECHO 66 Catalyst ezScript Commands
ECHO.

ECHO ========================================>>"%Log_start%"
ECHO Finished on %Date% at: %Time% >>"%Log_start%"
ECHO ========================================>>"%Log_start%"

PAUSE
